/* stub video driver implementation, based on x11.c from Linux 2.4.2-ac7. */
/*
 *  linux/drivers/video/x11.c -- Low level MDA based console driver
 *
 *	(c) 1998 Andrew Apted <ajapted@netspace.net.au>
 *
 *      including portions (c) 1995-1998 Patrick Caulfield.
 *
 *      slight improvements (c) 2000 Edward Betts <edward@debian.org>
 *
 *  This file is based on the VGA console driver (vgacon.c):
 *	
 *	Created 28 Sep 1997 by Geert Uytterhoeven
 *
 *	Rewritten by Martin Mares <mj@ucw.cz>, July 1998
 *
 *  and on the old console.c, vga.c and vesa_blank.c drivers:
 *
 *	Copyright (C) 1991, 1992  Linus Torvalds
 *			    1995  Jay Estabrook
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License.  See the file COPYING in the main directory of this archive for
 *  more details.
 */

#include "compat.h"
#include "console.h"
#include "console_struct.h"
#include "vt_buffer.h"

static const char *x11_startup(void)
{
}

static void x11_init(struct vc_data *c, int init)
{
}

static void x11_deinit(struct vc_data *c)
{
}

static u8 x11_build_attr(struct vc_data *c, u8 color, u8 intensity, 
			    u8 blink, u8 underline, u8 reverse)
{
}

static void x11_invert_region(struct vc_data *c, u16 *p, int count)
{
}

static void x11_putc(struct vc_data *c, int ch, int y, int x)
{
}

static void x11_putcs(struct vc_data *c, const unsigned short *s,
		         int count, int y, int x)
{
}

static void x11_clear(struct vc_data *c, int y, int x, 
			  int height, int width)
{
}
                        
static void x11_bmove(struct vc_data *c, int sy, int sx, 
			 int dy, int dx, int height, int width)
{
}

static int x11_switch(struct vc_data *c)
{
	return 1;	/* redrawing needed */
}

static int x11_set_palette(struct vc_data *c, unsigned char *table)
{
}

static int x11_blank(struct vc_data *c, int blank)
{
}

static int x11_font_op(struct vc_data *c, struct console_font_op *op)
{
}

static void x11_cursor(struct vc_data *c, int mode)
{
}

static int x11_scroll(struct vc_data *c, int t, int b, int dir, int lines)
{
}

const struct consw mda_con = {
	con_startup:		x11_startup,
	con_init:		x11_init,
	con_deinit:		x11_deinit,
	con_clear:		x11_clear,
	con_putc:		x11_putc,
	con_putcs:		x11_putcs,
	con_cursor:		x11_cursor,
	con_scroll:		x11_scroll,
	con_bmove:		x11_bmove,
	con_switch:		x11_switch,
	con_blank:		x11_blank,
	con_font_op:		x11_font_op,
	con_set_palette:	x11_set_palette,
	con_build_attr:		x11_build_attr,
	con_invert_region:	x11_invert_region,
};
